# Used to init the Postgres DB
POSTGRES_DB=postgresql
POSTGRES_USER=postgresql
POSTGRES_PASSWORD=postgresql

# Name of the seeding database
POSTGRES_DB_SEED=deveco_seed

# Used for other containers to connect to the Postgres DB
POSTGRES_HOST=localhost # hostname or docker name
POSTGRES_PORT=5442 # port or docker INTERNAL port

# For docker only, to map the Postgres internal port on the host machine (see docker-compose.yaml)
EXTERNAL_POSTGRES_PORT=5442

# Used for runtime and e2e connectivity
APP_HOST=localhost
BASE_URL=http://localhost # hostname or name of the front-end container
APP_PORT=3000
APP_URL=http://localhost:3000 # hostname or name of the front-end container
API_HOST=0.0.0.0
API_PORT=4000 # port exposed by the back-end container
API_URL=http://localhost # hostname or name of the back-end container
MONITORING_PORT=9102 # port exposing the monitoring server

# Backend env variables
SANDBOX_LOGIN=true # whether to authorize login for any xisting user without security
JWT_KEY=some_key # JWT signing key

# Front-end env variables
VITE_CRISP_ID="sample" # name of the registered Crisp website

# Tokens for the APIs used in the projet
INSEE_API="https://api.insee.fr/api-sirene/prive/3.11"
INSEE_API_KEY=some_token
INSEE_CONSUMER_KEY=some_token
INSEE_CONSUMER_SECRET=some_token
API_ENTREPRISE_TOKEN=some_token
BREVO_API_KEY=some_token
BREVO_LISTE=1

# ElasticSearch
ELASTICSEARCH_INDEX_QPV=qpv
ELASTICSEARCH_INDEX_ZONAGE=zonage
ELASTICSEARCH_INDEX_ETAB=etablissement
ELASTICSEARCH_INDEX_LOCAL=local
ELASTICSEARCH_USER=elastic_user
ELASTICSEARCH_PASSWORD=elastic_password
ELASTICSEARCH_PROTOCOL=http
ELASTICSEARCH_HOST=localhost
ELASTICSEARCH_PORT=9200
ELASTICSEARCH_NODES_PORT=9300
ELASTICSEARCH_INITIAL_ADMIN_PASSWORD=daSCeNpzMDc5M4k # password must be secure or ElasticSearch will refuse to start

SENTRY_AUTH_TOKEN=blabla
SENTRY_DSN=https://blabla@sentry.incubateur.anct.gouv.fr/

API_ENTREPRISE_ARAIGNEE=oui

# Utiliser la valeur ImTheCronMaster pour activer le cron
CRON_MASTER=nope

# Configuration SMTP pour l'envoi de mails
SMTP_HOST=
SMTP_USER=
SMTP_PASS=

# Configuration IMAP pour la réception de mails
MAIL_IMAP_USER=contact@deveco.incubateur.anct.gouv.fr
MAIL_IMAP_CONTACT=brouillon@deveco.incubateur.anct.gouv.fr
MAIL_IMAP_PASSWORD=
MAIL_IMAP_HOST=pro1.mail.ovh.net
MAIL_IMAP_PORT=

# MAIL_SERVER_HOST=localhost
# MAIL_SERVER_PORT=25